import "../../../../chunks/chunk.QU3DSPNU.js";
import { createElement } from "react";
import { IconShare as IconShareClass } from "../../../../components/icon/icons/share.component.js";
import { getReactComponent } from "../../../../utils/react.js";
const IconShare = (props) => {
  IconShareClass.define();
  const JSXElement = getReactComponent("gds-icon-share");
  const propsWithClass = { ...props, class: props.className, ref: props.ref };
  return createElement(JSXElement, propsWithClass);
};
IconShare.displayName = "IconShare";
export {
  IconShare
};
